<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.modules.projectManagement.mapper.fdProjectQuotationFeeMapper">
    <update id="updateDelFlagByQuotationId">
        UPDATE fd_project_quotation_fee SET del_flag='1' WHERE project_quotation_id=#{quotationId}
    </update>
    
    <update id="updateSubtotalBatch" parameterType="java.util.List">
        <foreach collection="list" item="temp" index="index" open="" close="" separator=";">
            UPDATE fd_project_quotation_fee
            <set>
                fee_category1_subtotal_c = #{temp.feeCategory1SubtotalC},
                fee_category2_subtotal_c=#{temp.feeCategory2SubtotalC}
            </set>
            WHERE
            id = #{temp.id}
        </foreach>
    </update>
</mapper>